This is the actual check list for releasing evolve version X.Y.Z

More details in the [README.rst file](README.rst#L219).

Preparation

* [ ] merges with compatibility branches
* [ ] compatibility tests are happy
* [ ] update `testedwith` field
* [ ] make sure CHANGELOG is up-to-date
* [ ] [prepare an announcement for the list/website](https://mypads.framapad.org/p/evolution-announce-iswcp7qx)
* [ ] sanity check install and sdist targets of setup.py

Releasing

* [ ] add the current date to CHANGELOG
* [ ] update the `__version__` field of all relevant extensions
* [ ] create a new Debian entry
* [ ] tag the version
* [ ] move the `@` bookmark to the new tag
* [ ] push/publish the tag to the main repository
* [ ] upload the tarball to PyPI
* [ ] build .deb on Heptapod CI for the tagged commit
* [ ] add `.dev0` to the `__version__` field
* [ ] merge stable into default
* [ ] push the result to https://repo.mercurial-scm.org/evolve/
* [ ] send the announcement by email to evolve-testers@mercurial-scm.org
* [ ] send the announcement by email to mercurial@mercurial-scm.org
* [ ] publish the announcement as a blog on https://octobus.net/blog/
* [ ] update #hg-evolve topic
* [ ] tweet about it
* [ ] toot about it
